import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
export function funktionHilfsenergieTermPumpeT40(BelastungsGrad: number, PumpenRegelung: string) {

    if (BelastungsGrad < 0.1) { BelastungsGrad = 0.1; }
    if (BelastungsGrad > 1) { BelastungsGrad = 1; } 
   

const dataset = [
    {SuchSpalte: ["Belastungsgrad"], DatenSpalte: [0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0]},
    {SuchSpalte: ["variabel"], DatenSpalte: [1.9, 1.4, 1.2, 1.2, 1.1, 1.1, 1.0, 1.0, 1.0, 1.0]},
    {SuchSpalte: ["konstant"], DatenSpalte: [3.3, 2.0, 1.6, 1.4, 1.3, 1.2, 1.1, 1.1, 1.0, 1.0]},
    {SuchSpalte: ["ungeregelt"], DatenSpalte: [7.8, 4.0, 2.8, 2.1, 1.8, 1.5, 1.3, 1.2, 1.1, 1.0]}
];

const TermPumpe = funktionEinfacheInterpolation(BelastungsGrad, PumpenRegelung, dataset);
return TermPumpe;

}
